| GlsMap Toolkit 1.10.2

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
disti::VPFDataValue Class Reference

`#include <vpf_data_value.h>`

## Public Member Functions
| ~VPFDataValue ()
bool | IsValid (void) const
VPFUtil::DataType | GetDataType (void) const
bool | IsMultipleValues (void) const
unsigned int | GetValueCount (void) const
const char * | GetText (void) const
VPFUtil::Float32 | GetShortFloat (void) const
const VPFUtil::Float32 * | GetShortFloatValues (void) const
VPFUtil::Float64 | GetLongFloat (void) const
const VPFUtil::Float64 * | GetLongFloatValues (void) const
VPFUtil::UInt16 | GetShortInteger (void) const
const VPFUtil::UInt16 * | GetShortIntegerValues (void) const
VPFUtil::UInt32 | GetLongInteger (void) const
const VPFUtil::UInt32 * | GetLongIntegerValues (void) const
const VPFUtil::Coord2DShort & | GetCoord2DShort (void) const
const VPFUtil::Coord2DShort * | GetCoord2DShortValues (void) const
const VPFUtil::Coord2DLong & | GetCoord2DLong (void) const
const VPFUtil::Coord2DLong * | GetCoord2DLongValues (void) const
const VPFUtil::Coord3DShort & | GetCoord3DShort (void) const
const VPFUtil::Coord3DShort * | GetCoord3DShortValues (void) const
const VPFUtil::Coord3DLong & | GetCoord3DLong (void) const
const VPFUtil::Coord3DLong * | GetCoord3DLongValues (void) const
const VPFUtil::DateTime & | GetDateTime (void) const
const VPFUtil::DateTime * | GetDateTimeValues (void) const
const VPFUtil::Triplet & | GetTriplet (void) const
const VPFUtil::Triplet * | GetTripletValues (void) const

## Static Public Member Functions
static VPFDataValue * | CreateDataValue (const VPFUtil::DataType dataType, const int numVals, VPFFile &infile)

## Protected Member Functions
| VPFDataValue (const VPFUtil::DataType dataType)

## Static Protected Member Functions
static VPFDataValue * | CreateText (const VPFUtil::DataType textType, const unsigned int textLen, VPFFile &infile)
static VPFDataValue * | CreateShortFloat (VPFFile &infile)
static VPFDataValue * | CreateShortFloatFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | CreateLongFloat (VPFFile &infile)
static VPFDataValue * | CreateLongFloatFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | CreateShortInt (VPFFile &infile)
static VPFDataValue * | CreateShortIntFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | CreateLongInt (VPFFile &infile)
static VPFDataValue * | CreateLongIntFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | Create2DCoordShort (VPFFile &infile)
static VPFDataValue * | Create2DCoordShortFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | Create2DCoordLong (VPFFile &infile)
static VPFDataValue * | Create2DCoordLongFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | Create3DCoordShort (VPFFile &infile)
static VPFDataValue * | Create3DCoordShortFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | Create3DCoordLong (VPFFile &infile)
static VPFDataValue * | Create3DCoordLongFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | CreateDateTime (VPFFile &infile)
static VPFDataValue * | CreateDateTimeFixed (const unsigned int num, VPFFile &infile)
static VPFDataValue * | CreateNull (void)
static VPFDataValue * | CreateTriplet (VPFFile &infile)
static VPFDataValue * | CreateTripletFixed (const unsigned int num, VPFFile &infile)
static bool | ReadTriplet (VPFFile &infile, VPFUtil::Triplet &dst)
static bool | ReadTripletValue (VPFFile &infile, const unsigned char type, VPFUtil::UInt32 &val, bool &isValid)

## Protected Attributes
VPFUtil::WarningBool | _isValid
VPFUtil::DataType | _dataType
bool | _isArray
unsigned int | _varLen
union {
char * str
VPFUtil::Float32 shortFloat
VPFUtil::Float32 * shortFloatArray
VPFUtil::Float64 longFloat
VPFUtil::Float64 * longFloatArray
VPFUtil::UInt16 shortInt
VPFUtil::UInt16 * shortIntArray
VPFUtil::UInt32 longInt
VPFUtil::UInt32 * longIntArray
VPFUtil::Coord2DShort coord2DShort
VPFUtil::Coord2DShort * coord2DShortArray
VPFUtil::Coord2DLong coord2DLong
VPFUtil::Coord2DLong * coord2DLongArray
VPFUtil::Coord3DShort coord3DShort
VPFUtil::Coord3DShort * coord3DShortArray
VPFUtil::Coord3DLong coord3DLong
VPFUtil::Coord3DLong * coord3DLongArray
VPFUtil::DateTime dateTime
VPFUtil::DateTime * dateTimeArray
VPFUtil::Triplet triplet
VPFUtil::Triplet * tripletArray
} | _value

## Detailed Description

encapsulates a data value in a VPF table

## Constructor & Destructor Documentation

## ◆ ~VPFDataValue()

VPFDataValue::~VPFDataValue | ( |  | ) |

Dtor

## ◆ VPFDataValue()

disti::VPFDataValue::VPFDataValue | ( | const VPFUtil::DataType | dataType | ) |
| inline protected

Ctor - not called by user directly (use static Create* methods)

Parameters

  dataType | data type for new value

## Member Function Documentation

## ◆ Create2DCoordLong()

VPFDataValue * VPFDataValue::Create2DCoordLong | ( | VPFFile & | infile | ) |
| static protected

Load and create a single 2D coord long value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_2D_COORD_LONG ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ Create2DCoordLongFixed()

VPFDataValue * VPFDataValue::Create2DCoordLongFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a 2D coord long fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_2D_COORD_LONG ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ Create2DCoordShort()

VPFDataValue * VPFDataValue::Create2DCoordShort | ( | VPFFile & | infile | ) |
| static protected

Load and create a single 2D coord short value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_2D_COORD_SHORT ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ Create2DCoordShortFixed()

VPFDataValue * VPFDataValue::Create2DCoordShortFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a 2D coord short fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_2D_COORD_SHORT ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ Create3DCoordLong()

VPFDataValue * VPFDataValue::Create3DCoordLong | ( | VPFFile & | infile | ) |
| static protected

Load and create a single 3D coord long value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_3D_COORD_LONG ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ Create3DCoordLongFixed()

VPFDataValue * VPFDataValue::Create3DCoordLongFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a 3D coord long fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_3D_COORD_LONG ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ Create3DCoordShort()

VPFDataValue * VPFDataValue::Create3DCoordShort | ( | VPFFile & | infile | ) |
| static protected

Load and create a single 3D coord short value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_3D_COORD_SHORT ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ Create3DCoordShortFixed()

VPFDataValue * VPFDataValue::Create3DCoordShortFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a 3D coord short fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_3D_COORD_SHORT ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateDataValue()

VPFDataValue * VPFDataValue::CreateDataValue | ( | const VPFUtil::DataType | dataType,
|  | const int | numVals,
|  | VPFFile & | infile
| ) |  |
| static

Create and load a data type of the given type and quantity from the given file

Parameters

  dataType | desired data type
  numVals | number of values in data val (-1 for variable length)
  infile | file to read

Returns
  new data value( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateDateTime()

VPFDataValue * VPFDataValue::CreateDateTime | ( | VPFFile & | infile | ) |
| static protected

Load and create a single date time value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_DATE_TIME ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateDateTimeFixed()

VPFDataValue * VPFDataValue::CreateDateTimeFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a date time fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_DATE_TIME ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateLongFloat()

VPFDataValue * VPFDataValue::CreateLongFloat | ( | VPFFile & | infile | ) |
| static protected

Load and create a single long float value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_LONG_FLOAT ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateLongFloatFixed()

VPFDataValue * VPFDataValue::CreateLongFloatFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a long float fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_LONG_FLOAT ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateLongInt()

VPFDataValue * VPFDataValue::CreateLongInt | ( | VPFFile & | infile | ) |
| static protected

Load and create a single long int value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_LONG_INTEGER ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateLongIntFixed()

VPFDataValue * VPFDataValue::CreateLongIntFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a long int fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_LONG_INTEGER ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateNull()

VPFDataValue * VPFDataValue::CreateNull | ( | void |  | ) |
| static protected

Create a null data value

Returns
  new value with type DATA_TYPE_NULL else (NULL)

## ◆ CreateShortFloat()

VPFDataValue * VPFDataValue::CreateShortFloat | ( | VPFFile & | infile | ) |
| static protected

Load and create a single short float value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_SHORT_FLOAT ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateShortFloatFixed()

VPFDataValue * VPFDataValue::CreateShortFloatFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a short float fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_SHORT_FLOAT ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateShortInt()

VPFDataValue * VPFDataValue::CreateShortInt | ( | VPFFile & | infile | ) |
| static protected

Load and create a single short int value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_SHORT_INTEGER ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateShortIntFixed()

VPFDataValue * VPFDataValue::CreateShortIntFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a short int fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_SHORT_INTEGER ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateText()

VPFDataValue * VPFDataValue::CreateText | ( | const VPFUtil::DataType | textType,
|  | const unsigned int | textLen,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a text value with the given length from the given file and assign the given data type

Parameters

  textType | DATA_TYPE_TEXT, DATA_TYPE_TEXT_LATIN, DATA_TYPE_TEXT_FULL_LATIN, or DATA_TYPE_TEXT_MULTILINGUAL
  textLen | number of bytes of text
  infile | file to read

Returns
  new text value with type DATA_TYPE_TEXT and buffer length (textLen) plus one for terminator ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateTriplet()

VPFDataValue * VPFDataValue::CreateTriplet | ( | VPFFile & | infile | ) |
| static protected

Load and create a VPF triplet value from the given file

Parameters

  infile | file to read

Returns
  new value with type DATA_TYPE_TRIPLET ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ CreateTripletFixed()

VPFDataValue * VPFDataValue::CreateTripletFixed | ( | const unsigned int | num,
|  | VPFFile & | infile
| ) |  |
| static protected

Load and create a VPF triplet fixed array value from the given file

Parameters

  num | number of elements in the array
  infile | file to read

Returns
  new value with type DATA_TYPE_TRIPLET ( Check IsValid() to ensure value was read successfully ) else NULL

## ◆ GetCoord2DLong()

const VPFUtil::Coord2DLong & disti::VPFDataValue::GetCoord2DLong | ( | void |  | ) | const
| inline

Get the 2D coordinate long value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_2D_COORD_LONG

Returns
  2D coordinate long value

## ◆ GetCoord2DLongValues()

const VPFUtil::Coord2DLong * disti::VPFDataValue::GetCoord2DLongValues | ( | void |  | ) | const
| inline

Get multiple 2D coordinate long values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_2D_COORD_LONG

Returns
  array of 2D coordinate long values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetCoord2DShort()

const VPFUtil::Coord2DShort & disti::VPFDataValue::GetCoord2DShort | ( | void |  | ) | const
| inline

Get the 2D coordinate short value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_2D_COORD_SHORT

Returns
  2D coordinate short value

## ◆ GetCoord2DShortValues()

const VPFUtil::Coord2DShort * disti::VPFDataValue::GetCoord2DShortValues | ( | void |  | ) | const
| inline

Get multiple 2D coordinate short values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_2D_COORD_SHORT

Returns
  array of 2D coordinate short values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetCoord3DLong()

const VPFUtil::Coord3DLong & disti::VPFDataValue::GetCoord3DLong | ( | void |  | ) | const
| inline

Get the 3D coordinate long value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_3D_COORD_LONG

Returns
  3D coordinate long value

## ◆ GetCoord3DLongValues()

const VPFUtil::Coord3DLong * disti::VPFDataValue::GetCoord3DLongValues | ( | void |  | ) | const
| inline

Get multiple 3D coordinate long values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_3D_COORD_LONG

Returns
  array of 3D coordinate long values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetCoord3DShort()

const VPFUtil::Coord3DShort & disti::VPFDataValue::GetCoord3DShort | ( | void |  | ) | const
| inline

Get the 3D coordinate short value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_3D_COORD_SHORT

Returns
  3D coordinate short value

## ◆ GetCoord3DShortValues()

const VPFUtil::Coord3DShort * disti::VPFDataValue::GetCoord3DShortValues | ( | void |  | ) | const
| inline

Get multiple 3D coordinate short values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_3D_COORD_SHORT

Returns
  array of 3D coordinate short values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetDataType()

VPFUtil::DataType disti::VPFDataValue::GetDataType | ( | void |  | ) | const
| inline

Get the type of the data value

Returns
  type of the data value

## ◆ GetDateTime()

const VPFUtil::DateTime & disti::VPFDataValue::GetDateTime | ( | void |  | ) | const
| inline

Get the date time value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_DATE_TIME

Returns
  date time value

## ◆ GetDateTimeValues()

const VPFUtil::DateTime * disti::VPFDataValue::GetDateTimeValues | ( | void |  | ) | const
| inline

Get multiple date time values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_DATE_TIME

Returns
  array of date time values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetLongFloat()

VPFUtil::Float64 disti::VPFDataValue::GetLongFloat | ( | void |  | ) | const
| inline

Get the single long float value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_LONG_FLOAT

Returns
  long float value

## ◆ GetLongFloatValues()

const VPFUtil::Float64 * disti::VPFDataValue::GetLongFloatValues | ( | void |  | ) | const
| inline

Get multiple long float values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_LONG_FLOAT

Returns
  array of long float values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetLongInteger()

VPFUtil::UInt32 disti::VPFDataValue::GetLongInteger | ( | void |  | ) | const
| inline

Get the single long integer value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_LONG_INTEGER

Returns
  long integer value

## ◆ GetLongIntegerValues()

const VPFUtil::UInt32 * disti::VPFDataValue::GetLongIntegerValues | ( | void |  | ) | const
| inline

Get multiple long integer values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_LONG_INTEGER

Returns
  array of long integer values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetShortFloat()

VPFUtil::Float32 disti::VPFDataValue::GetShortFloat | ( | void |  | ) | const
| inline

Get the single short float value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_SHORT_FLOAT

Returns
  short float value

## ◆ GetShortFloatValues()

const VPFUtil::Float32 * disti::VPFDataValue::GetShortFloatValues | ( | void |  | ) | const
| inline

Get multiple short float values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_SHORT_FLOAT

Returns
  array of short float values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetShortInteger()

VPFUtil::UInt16 disti::VPFDataValue::GetShortInteger | ( | void |  | ) | const
| inline

Get the single short integer value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_SHORT_INTEGER

Returns
  short integer value

## ◆ GetShortIntegerValues()

const VPFUtil::UInt16 * disti::VPFDataValue::GetShortIntegerValues | ( | void |  | ) | const
| inline

Get multiple short integer values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_SHORT_INTEGER

Returns
  array of short integer values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetText()

const char * disti::VPFDataValue::GetText | ( | void |  | ) | const
| inline

Get text value.

Precondition
  IsValid(), data type is DATA_TYPE_TEXT, DATA_TYPE_TEXT_LATIN, DATA_TYPE_TEXT_FULL_LATIN or DATA_TYPE_TEXT_MULTILINGUAL

Returns
  text value ( NOTE: can be NULL if a zero length variable length string was read )

## ◆ GetTriplet()

const VPFUtil::Triplet & disti::VPFDataValue::GetTriplet | ( | void |  | ) | const
| inline

Get the VPF triplet value

Precondition
  IsValid(), !IsMultipleValues(), data type is DATA_TYPE_TRIPLET

Returns
  triplet value

## ◆ GetTripletValues()

const VPFUtil::Triplet * disti::VPFDataValue::GetTripletValues | ( | void |  | ) | const
| inline

Get multiple triplet values

Precondition
  IsValid(), IsMultipleValues(), data type is DATA_TYPE_TRIPLET

Returns
  array of triplet values 'GetValueCount()' long, else NULL if a zero length array was read.

## ◆ GetValueCount()

unsigned int disti::VPFDataValue::GetValueCount | ( | void |  | ) | const
| inline

Get the number of data values contained ( if IsMultipleValues() )

Returns
  number of data values contained if IsMultipleValues() ( can be zero ). will also return 0u if !IsMultipleValues() NOTE: This value also represents the string length (not counting terminator) of the contained text value if dataType is one of the DATA_TYPE_TEXT<*> types. A 0u returned in this case indicates that GetText() will return a NULL pointer.

## ◆ IsMultipleValues()

bool disti::VPFDataValue::IsMultipleValues | ( | void |  | ) | const
| inline

Determine if this data value contains multiple values

Returns
  true if data value contains multiple values or is a text value else false

## ◆ IsValid()

bool disti::VPFDataValue::IsValid | ( | void |  | ) | const
| inline

Determine if the data value was created successfully

Returns
  true if created successfully else false

## ◆ ReadTriplet()

bool VPFDataValue::ReadTriplet | ( | VPFFile & | infile,
|  | VPFUtil::Triplet & | dst
| ) |  |
| static protected

Read a VPF triplet from the given file

Parameters

  infile | file to read
  dst | [out] gets read triplet on success

Returns
  true if success else false

## ◆ ReadTripletValue()

bool VPFDataValue::ReadTripletValue | ( | VPFFile & | infile,
|  | const unsigned char | type,
|  | VPFUtil::UInt32 & | val,
|  | bool & | isValid
| ) |  |
| static protected

Read one value in a triplet value from the given file

Parameters

  infile | file to read
  type | indicates number of bits in field to read ( 0 = 0bits, 1 = 8bits, 2 = 16bits, 3=32bits )
  val | [out] receives value read from file on success else 0u
  isValid | [out] receives true if a non zero bits value was read into 'val' else false

Returns
  true on success else false

## Member Data Documentation

## ◆ _dataType

VPFUtil::DataType disti::VPFDataValue::_dataType
| protected

type of data value

## ◆ _isArray

bool disti::VPFDataValue::_isArray
| protected

true if array of values else false if single val

## ◆ _isValid

VPFUtil::WarningBool disti::VPFDataValue::_isValid
| protected

true if valid data value else false

## ◆ _varLen

unsigned int disti::VPFDataValue::_varLen
| protected

length of text in bytes if data is a text value ( DATA_TYPE_TEXT_<*> ), else number of elements if multiple vals, 0u if single val

## ◆ coord2DLong

VPFUtil::Coord2DLong disti::VPFDataValue::coord2DLong

DATA_TYPE_2D_COORD_LONG single val

## ◆ coord2DLongArray

VPFUtil::Coord2DLong* disti::VPFDataValue::coord2DLongArray

DATA_TYPE_2D_COORD_LONG multiple vals

## ◆ coord2DShort

VPFUtil::Coord2DShort disti::VPFDataValue::coord2DShort

DATA_TYPE_2D_COORD_SHORT single val

## ◆ coord2DShortArray

VPFUtil::Coord2DShort* disti::VPFDataValue::coord2DShortArray

DATA_TYPE_2D_COORD_SHORT multiple vals

## ◆ coord3DLong

VPFUtil::Coord3DLong disti::VPFDataValue::coord3DLong

DATA_TYPE_3D_COORD_LONG single val

## ◆ coord3DLongArray

VPFUtil::Coord3DLong* disti::VPFDataValue::coord3DLongArray

DATA_TYPE_3D_COORD_LONG multiple vals

## ◆ coord3DShort

VPFUtil::Coord3DShort disti::VPFDataValue::coord3DShort

DATA_TYPE_3D_COORD_SHORT single val

## ◆ coord3DShortArray

VPFUtil::Coord3DShort* disti::VPFDataValue::coord3DShortArray

DATA_TYPE_3D_COORD_SHORT multiple vals

## ◆ dateTime

VPFUtil::DateTime disti::VPFDataValue::dateTime

DATA_TYPE_DATE_TIME single val

## ◆ dateTimeArray

VPFUtil::DateTime* disti::VPFDataValue::dateTimeArray

DATA_TYPE_DATE_TIME multiple vals

## ◆ longFloat

VPFUtil::Float64 disti::VPFDataValue::longFloat

DATA_TYPE_LONG_FLOAT single val

## ◆ longFloatArray

VPFUtil::Float64* disti::VPFDataValue::longFloatArray

DATA_TYPE_LONG_FLOAT multiple vals

## ◆ longInt

VPFUtil::UInt32 disti::VPFDataValue::longInt

DATA_TYPE_LONG_INTEGER single val

## ◆ longIntArray

VPFUtil::UInt32* disti::VPFDataValue::longIntArray

DATA_TYPE_LONG_INTEGER multiple vals

## ◆ shortFloat

VPFUtil::Float32 disti::VPFDataValue::shortFloat

DATA_TYPE_SHORT_FLOAT single val

## ◆ shortFloatArray

VPFUtil::Float32* disti::VPFDataValue::shortFloatArray

DATA_TYPE_SHORT_FLOAT multiple vals

## ◆ shortInt

VPFUtil::UInt16 disti::VPFDataValue::shortInt

DATA_TYPE_SHORT_INTEGER single val

## ◆ shortIntArray

VPFUtil::UInt16* disti::VPFDataValue::shortIntArray

DATA_TYPE_SHORT_INTEGER multiple vals

## ◆ str

char* disti::VPFDataValue::str

character data if DATA_TYPE_TEXT, DATA_TYPE_TEXT_LATIN, DATA_TYPE_TEXT_FULL_LATIN, DATA_TYPE_TEXT_MULTILINGUAL

## ◆ triplet

VPFUtil::Triplet disti::VPFDataValue::triplet

DATA_TYPE_TRIPLET VPF triplet single val

## ◆ tripletArray

VPFUtil::Triplet* disti::VPFDataValue::tripletArray

DATA_TYPE_TRIPLET VPF triplet multiple vals

The documentation for this class was generated from the following files:

- vpf_data_value.h
- vpf_data_value.cpp